
body {
    background: #386479;
}

.main {
    display: flex;
    flex-direction: row;
    height: 100%;
}

@keyframes error_enter {
    0% { opacity: 0; }
    100% { opacity: 1; }
}

.app_error_content {
    position: absolute;
    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: column-reverse;
    pointer-events: none;
}

.app_error_list {
    display: flex;
    flex-direction: column;
    align-self: center;
    align-items: center;
}

.app_error_inactive {
    opacity: 0 !important;
}

.app_error_list > div {
    display: flex;
    background: #111;
    color: #f33;
    min-width: 200px;
    padding: 5px;
    padding-top: 10px;
    padding-bottom: 10px;
    border-radius: 5px;
    margin-bottom: 5px;
    justify-content: center;
    box-shadow: 0px 5px 10px #0009;
    transition: all 300ms ease-out;
    animation: error_enter 300ms ease-in;
}

.app_saved_search_content {
    position: absolute;
    bottom: 50px;
    right: 50px;
    display:flex;
    justify-content: center;
    align-items: center;
    padding: 5px;
    background: #eee;
    border-radius: 50%;
    border: 1px solid #999;
    box-shadow: 0px 0px 10px #0009;
    width: 48px;
    height: 48px;
    cursor: pointer;
}

.app_saved_search_content:hover {
    background: #fff;
}

.app_saved_search_content > img {
    width: 32px;
    height: 32px;
}

.save_indicator_content {
    position: absolute;
    width: 100%;
    display: flex;
    flex-direction: column;
    pointer-events: none;
}

.save_indicator {
    display: flex;
    background: #111;
    color: #fff;
    min-width: 200px;
    padding: 5px;
    padding-top: 10px;
    padding-bottom: 10px;
    border-radius: 5px;
    align-self: center;
    align-items: center;
    justify-content: center;
    margin-top: -50px;
    column-gap: 10px;
    box-shadow: 0px 5px 10px #0009;
    transition: all 300ms ease-out;
}

.save_indicator > .loader {
    margin-right: 5px;
}

.save_enter_margin {
    margin-top: 5px !important;
}

.dialog_content {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    width: 100%;
}

.dialog_content > .button {
    min-width: 50px;
}

.dialog_content > ul {
    margin: 0px;
    margin-top: 5px;
    padding-left: 35px;
    list-style-type: square;
}

.dialog_content > textarea {
    min-height: 60px;
    min-width: 350px;
}

.dialog_content_buttons {
    display: flex;
    margin-top: 10px;
    align-self: flex-end;
    align-items: center;
    column-gap: 2px;
}

.dialog_content_buttons > .button {
    min-width: 50px;
}

.dialog_content_buttons > .button:nth-child(3) {
    margin-right: 0px;
}

.dialog_value_group {
    display: flex;
    flex-direction: column;
    padding-top: 5px;
    padding-bottom: 5px;
}

.dialog_value_group textarea {
  resize: none;
}

.dialog_value_title {
    background: #bbc4c7;
    color: #000;
    padding: 5px;
    border-radius: 2px;
    margin-bottom: 5px;
}

.dialog_bottom_margin {
    margin-bottom: 5px;
}

.side_panel {
    display: flex;
    flex-grow: 0;
    flex-direction: column;
    width: 300px;
    min-width: 310px;
}

.side_nav_bar {
    display: flex;
    border-radius: 10px;
    justify-content: space-between;
}

.side_nav_bar img {
    width: 32px;
    height: 32px;
}

.side_nav_bar > div {
    display: flex;
    justify-content: center;
    align-items: center; 
    border-radius: 4px;
    width: 48px;
    height: 48px;
    background: #ffc878;
    cursor: pointer;
    border: #0000 solid 2px;
}

.side_nav_bar > div:hover {
    border: #0005 solid 2px;
}

.side_nav_bar > div.selected {
    border: #000 solid 2px;
}

.side_container {
    margin-top: 5px;
    height: 100%;
    border-radius: 10px;
}

.test_version {
    color: red;
    font-size: 30px;
    font-variant: all-petite-caps;
    font-weight: bold;
    align-self: center;
    transition: 0.5s all ease;
}

.test_version:hover {
    color: darkred;
    text-shadow: 0 0 8px red;
}

.save_panel {
    position: absolute;
    display: flex;
    flex-direction: column;
    right: 0px;
    top: 45px;
    border: 4px solid #386479;
    border-radius: 10px;
    background: #ddd;
    box-shadow: 0px 5px 10px #0009;
    padding: 5px;
    font-variant-caps: normal;
    max-width: unset !important;
    z-index: 10;
}

.save_panel > .label {
    font-weight: bold;
    font-size: 12pt;
}

.save_panel > textarea {
    min-width: 350px;
    min-height: 100px;
}

.save_panel > div {
    display: flex;
}

.sub_panel {
    background: #eee;
    border: 1px solid #bbb;
    border-radius: 10px;
    padding: 10px;
    box-sizing: border-box;
    display: flex;
    flex-direction: column;
    margin-top: 5px;
}

.sub_panel_select {
    height: 24px;
}

.sub_panel_search {
    display: flex;
    height: 24px;
    margin-top: 5px;
}

.sub_panel_search > div:nth-child(2) {
    display: flex;
    position: relative;
    margin-left: 2px;
    column-gap: 2px;
}

.sub_panel_filter > .button {
    margin: 0px;
}

.sub_panel_search input {
    width: 100%;
}

.sub_panel_show_deprecated {
    display: flex;
    margin-top: 2px;
    margin-left: -3px;
}

.sub_panel_quick_links_group {
    display: flex;
    flex-direction: column;
    row-gap: 5px;
}

.sub_panel_quick_links_group > div:first-child {
    display: flex;
    font-style: 10pt;
    justify-content: space-between;    
}

.sub_panel_quick_links_group > div:last-child {
    display: flex;
    column-gap: 5px;
}

.sub_panel_quick_links {
    display: flex;
    flex-direction: column;
    flex: 1 1 0;
    row-gap: 5px;
    overflow: hidden;
}

.sub_panel_quick_link_header {
    margin-left: 5px;
}

.sub_panel_quick_link {
    background: #dedede;
    cursor: pointer;
    padding: 5px 10px;
    border-radius: 5px;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}

.sub_panel_quick_link:hover {
    background: #ccc;
}

.sub_panel_chooce_filter_icon {
    height: 16px;
    padding-top: 3px;
    pointer-events: none;
}

.sub_panel_choose_filter {
    position: fixed;
    padding: 5px;
    border-radius: 5px;
    background: #fff;
    border: 1px solid #bbb;
    margin-top: 25px;
    z-index: 1;
}

.sub_panel_choose_filter > div:hover {
    background: #ccc;
    cursor: pointer;
}

.side_content_1 {
    display: flex;
    flex-direction: column;
    height: 100%;
    row-gap: 2px;
}

.side_content_1_buttons {
    display: flex;
    column-gap: 5px;
}

.side_content_1_buttons > .button {
    flex: 1 1 auto;
}

.side_content_1_group {
    display: flex;
    flex-direction: column;
    height: 100%;
}

.side_content_1_group .list {
    height: 100%;
}

.side_content_1_group .label {
    transform: translateX(10px);
}

.side_content_1_result_header {
    display: flex;
}

.side_content_1_result_header > div {
    min-width: 50px;
}

.side_content_1_result_item {
    display: flex;
}

.side_content_1_result_item > div {
    min-width: 50px;
}

.side_content_2 {
    display: flex;
    flex-direction: column;
    height: 100%;
}

.side_content_2_result_item {
    display: flex;
}

.side_content_2_result_item > div {
    min-width: 50px;
}

.side_content_3 {
    display: flex;
    flex-direction: column;
    height: 100%;
}

.side_content_3_types_list {   
    min-height: 150px;
}

.side_content_3_types_list > div {
    display: flex;
    background: #fff;
    justify-content: space-between;
    padding-left: 2px;
}

.side_content_3_types_list > div:not(:last-child) {
    margin-bottom: 2px;
}

.side_content_4 {
    display: flex;
    flex-direction: column;
    height: 100%;
    row-gap: 2px;
}

.side_content_4_date_row {
    display: flex;
    justify-content: space-between;
}

.side_content_4_date_row input {
    border-radius: 5px;
}

.side_content_5 {
    display: flex;
    flex-direction: column;
    height: 100%;
    row-gap: 2px;
}

.side_content_5_divider {
    margin: auto;
}

.root_container {
    display: flex;
    flex: 1 1 auto;
    transition: all 500ms ease-in-out;
    margin: 5px;
    column-gap: 5px;
}

.main_content {
    display: flex;
    flex-direction: column;
    width: 100%;
    height: 100%;
    overflow: hidden;
    row-gap: 5px;
}

.main_content_1 {
    display: flex;
    flex-direction: column;
    overflow-y: auto;
    width: 100%;
    height: 100%;
}

.main_content_1_buttons {
    display: flex;
    justify-content: flex-end;
    align-items: center;
}

.main_content_1_buttons > div {
    display: flex;
}

.main_content_2 {
    display: flex;
    flex-direction: column;
    overflow-y: auto;
    width: 100%;
    height: 100%;
}

.main_content_2_buttons {
    display: flex;
    justify-content: flex-end;
    column-gap: 2px;
}

.main_content_2 > .group:nth-child(2) {
    margin-top: 0px;
}

.main_content_3 {
    display: flex;
    flex-direction: column;
    overflow-y: auto;
    width: 100%;
    height: 100%;
}

.main_content_3 > .group:nth-child(2) {
    margin-top: 0px;
}

.main_content_4 {
    display: flex;
    flex-direction: column;
    overflow-y: auto;
    width: 100%;
    height: 100%;
}

.main_content_4 > .group:nth-child(2) {
    margin-top: 0px;
}

.main_content_4_chart {
    margin: 10px;
    border: 1px solid;
    border-radius: 10px;
    max-width: 500px;
}

.main_content_4_connections {
    display: flex;
    flex: 1 1 auto;
    box-sizing: border-box;
    flex-direction: column;
    padding: 10px;
    padding-top: 0px;
}

.main_content_4_connections > div:nth-child(1) {
    font-weight: bold;
}

.main_content_4_connections > div:nth-child(3) {
    display: flex;
}

.main_content_4_list {
    min-height: 250px;
}

.main_content_4_list_item {
    display: flex;
}

.main_content_4_list_item > div:nth-child(1) {
    min-width: 120px;
}

.main_content_4_list_item > div {
    margin-left: 10px;
}

.main_content_4_button_container {
    display: flex;
    column-gap: 2px;
}

.main_content_4_title_cb {
    display: flex;
    align-items: center;
    padding-right: 5px;
}

.main_panel {
    overflow-y: auto;
}

.menu_panel {
    flex-grow: unset;
}

.menu_container {
    display: flex;
    flex: 1 1 auto;
    justify-content: flex-end;
    align-items: center;
}

.menu_panel_quick_edit_part {
    display: flex;
    align-items: center;
    align-content: center;
}

.menu_panel_context_part {
    display: flex;
    flex: 1 1 auto;
    justify-content: flex-end;
    align-items: center;
    column-gap: 2px;
}

.connections_item_body {
    display: flex;
    align-items: center;
}

.connections_item_body_deprecated {
    color: #f00;
    font-size: 10pt;
    margin-right: 2px;
}

.main_content_5 {
    display: flex;
    flex-direction: column;
    overflow-y: auto;
    width: 100%;
    height: 100%;
}

.main_content_5 > .group:nth-child(2) {
    margin-top: 0px;
}

.main_content_5_buttons {
    display: flex;
    justify-content: flex-end;
    margin-left: 10px;
    margin-right: 10px;
}

.main_content_title_container {
    display: flex;
    justify-content: space-between;
}

.main_content_title {
    font-weight: bold;
    font-size: 32pt;
    font-variant-caps: all-petite-caps;
}

.main_content_title_name {
    position: relative;
    display: flex;
    flex-direction: column;
    font-size: 14pt;
    font-variant-caps: all-petite-caps;
    justify-content: center;
    margin-right: 5px;
}

.main_content_title_name > .label {
    margin: 0px;
    padding: 0px;
    height: 16px;
    font-weight: bold;
    overflow: visible;
    align-self: flex-end;
}

.main_content_title_name div {
    text-overflow: ellipsis;
    overflow: hidden;
    white-space: nowrap;
}

.main_content_title_save {
    display: flex;
}

.main_content_title_deprecated {
    color: #d00;
}

.deprecate_button {
    background: #d00;
    border-color: #900;
}

.deprecate_button:hover {
    background: #f33;
}

.deprecate_button:active {
    background: #c00;
}

.deprecated {    
    width: 100%;
    display: flex;
    box-sizing: border-box;
    padding: 10px;
    padding-top: 0px;
    align-items: center;
}

.deprecated_info_row {
    display: flex;
    flex-direction: column;
}

.deprecated_info_row > div:first-child {
    font-weight: bold;
}

.deprecated_reference {
    display: flex;
    justify-content: space-between;
}

.deprecated_reference > div:last-child {
    display: flex;
}

.deprecated_reference_dialog {
    display: flex;
    flex-direction: column;
    width: 100%;
    min-height: 250px;
}

.deprecated_reference_list {
    min-width: 450px;
    min-height: 150px;
    max-height: 250px;
    flex: unset;
}

.deprecated_reference_selected {
    background: rgb(47, 120, 255) !important;
    color: #fff;
}

.missing_connection_content {
    display: flex;
    flex-direction: column;
    flex: 1 1 auto;
}

.description {    
    width: 100%;
    display: flex;
    box-sizing: border-box;
    flex-direction: column;
    padding: 10px;
    padding-top: 0px;
}

.description > .label {
    font-weight: bold;
}

.description > textarea {
    resize: none;
}

.description > div:last-child {
    display: flex;
}

.description_esco_uri {
    display: flex;
    flex-direction: column;
}

.description_esco_uri > .label {
    font-weight: bold;
}

.description_name_and_misc {
    display: flex;
}

.description_name_and_misc > div {
    display: flex;
    flex-direction: column;
    flex: 1 1 auto;
}

.description_name_and_misc > div > .label {
    font-weight: bold;
}

.description_no_esco_relation {
    display: flex;
    flex: unset !important;
    align-items: baseline;
}

.description_no_esco_relation > input {
    margin-top: auto;
    margin-bottom: auto;
}

.description_special_value {
    max-width: 80px;
    margin-left: 5px;
}

.description_db_id {
    max-width: 120px;
}

.description_isco_container {
    display: flex;
}

.description_isco_values {
    background: #ebebe4;
    border: 1px solid #aaa;
    border-radius: 2px;
    padding: 4px 5px 4px 5px;
    color: rgb(84, 84, 84);
    font: 400 13.3333px Arial;
    max-height: 45px;
    overflow-x: hidden;
    overflow-y: auto;
}

.description_quality_value {
    max-width: 110px;
    margin-left: 5px;
}

.description_alt_and_hidden {
    display: flex;
}

.description_alt_and_hidden > div:nth-child(2){
    margin-left: 5px;
}

.description_alt_name {
    display: flex;
    flex-direction: column;
    flex: 1 1 0;
}

.description_alt_name > .label {
    font-weight: bold;
}

.description_add_container {
    display: flex;
    align-items: center;
}

.description_add_container > .label {
    font-weight: bold;
}

.description_array_element {
    display: flex;
    align-items: center;
    border-radius: 5px;
}

.description_array_element > *:first-child {
    flex: 1 1 auto;
}

.description_group_header {
    display: flex;
    flex: 1 1 auto;
    align-items: center;
    justify-content: space-between;
}

.description_group_header > div:last-child {
    font-size: 10pt;
    font-style: italic;
    margin-right: 5px;
}

.description > textarea {
    height: 80px;
}

.description_group {
    flex: unset;
}

.description_name {
    position: relative;
    display: flex;
}

.description_definition_and_short {
    position: relative;
    display: flex;
}

.description_definition {
    display: flex;
    flex-direction: column;
    flex: 4 1 auto;
    position: relative;
}

.description_definition > .label {
    font-weight: bold;
}

.description_definition > textarea {
    resize: none;
    height: 80px;
}

.description_short_description {
    display: flex;
    flex-direction: column;
    flex: 1 1 auto;
    padding-left: 5px;
}

.description_short_description > .label {
    font-weight: bold;
}

.description_short_description > textarea {
    resize: none;
    height: 80px;
}

.connections {    
    display: flex;
    flex-direction: column;
    flex: 1 1 auto;
    width: 100%;
    min-height: 200px;
    padding: 10px;
    padding-top: 0px;
    box-sizing: border-box;
}

.connections > div:nth-child(4) {
    display: flex;
}

.connections > .button {
    margin-right: auto;
}

.connections > .label {
    font-weight: bold;
}

.connections > .list {
    background: #fff;
}

.connections_quick_edit {
    display: flex;
}

.connections_quick_edit > .drop_zone {
    display: flex;
    flex: 1 1 0;
    align-items: center;
    justify-content: center;
    padding: 20px;
    border: 2px solid #999;
    border-style: dashed;
    background: #eee;
    border-radius: 10px;
    color: #999;
    user-select: none;
}

.conncections_quick_edit_concept {
    display: flex;
    flex-direction: column;
    margin-left: 5px;
    flex: 1 1 0;
}

.conncections_quick_edit_concept > div:not(:last-child) {
    margin-bottom: 5px;
}

.conncections_quick_edit_concept > .button {
    align-self: baseline;
}

.conncections_quick_edit_concept_info {
    display: flex;
    align-items: center;
    flex: 1 1 auto;
    column-gap: 5px;
}

.conncections_quick_edit_concept_info > input {
    width: 50%;
    max-width: 50%;
}

.conncections_quick_edit_concept_info > select:last-child {
    width: 50%;
    max-width: 50%;
    min-height: 25px;
}

.conncections_quick_edit_concept_props {
    display: flex;
    flex-direction: column;
}

.conncections_quick_edit_concept_props > div {
    display: flex;
    align-items: center;
    margin-bottom: 5px;
    white-space: pre;
}

.conncections_quick_edit_concept_props > div:last-child {
    margin-bottom: unset;
}

.conncections_quick_edit_concept_props > div > div {
    width: 100px;
}

.conncections_quick_edit_concept_props > div > select {
    flex: 1 1 auto;
}

.connections_controls {
    display: flex;
    align-items: center;
    column-gap: 5px;
}

.connections_check_boxes {
    display: flex;
    justify-content: space-between;
}

.connections_check_boxes > div:first-child {
    margin-left: -3px;
}

.connections_tree_view_container {
    display: flex;
    flex: 1 1 auto;
    flex-wrap: wrap;
    position: relative;
}

.connections_tree_view_container > div {
    display: flex;
    flex-direction: column;
    flex: 1 1 0;
    overflow: hidden;
    margin-left: 5px;
}

.connections_tree_view_container :first-child {
    margin-left: 0px;
}

.connections_tree_view_container > div > .label {
    font-weight: bold;
}

.connections_group {
    flex-basis: 400px;
}

.item_history {
    display: flex;
    flex-direction: column;
    flex: 1 1 auto;
    width: 100%;
    min-height: 150px;
    padding: 10px;
    padding-top: 0px;
    box-sizing: border-box;
}

.item_history > .label{
    font-weight: bold;
}

.item_history > div:nth-child(2) {
    display: flex;
}

.item_history_item {
    display: flex;
    flex-direction: row;
    white-space: pre;
}

.item_history_item > div:nth-child(1) {
    padding-right: 10px;
    flex: 0 0 0;
}

.item_history_item > div:nth-child(2) {
    padding-right: 10px;
    flex: 1 0 0;
}

.item_history_item > div:nth-child(3) {
    text-align: right;
    padding-right: 10px;
    flex: 0 0 0;
}

.item_history_dialog {
    min-height: 250px;
    max-height: 500px;
    width: 600px;
}

.item_history_dialog > div:nth-child(1) {
    overflow-y: auto;
}

.item_history_dialog > div:nth-child(2) {
    display: flex;
    align-self: flex-end;
}

.item_history_dialog_item_header {
    background: #386479 !important;
    color: #fff;
}

.item_history_dialog_item_group {
    border-radius: 4px;
    background: #eee;
}

.item_history_dialog_item {
    display: flex;
    margin: 2px;
    border-radius: 4px;
    background: #eee;
    padding: 4px;
}

.item_history_dialog_item > div:nth-child(1) {
    width: 120px;
    font-weight: bold;
    flex-shrink: 0;
}

.item_history_dialog_item > div:nth-child(2) {
    max-width: 490px;
    overflow-wrap: break-word;
    white-space: pre-line;
}

.item_history_dialog_item > div > div {
    display: flex;
    flex-direction: row;
    overflow-wrap: break-word;
    white-space: pre-line;
}

.edit_concept_dialog {
    min-width: 600px;
    min-height: 400px;
}

.edit_concept_dialog_page {
    display: flex;
    flex-direction: column;
    flex: 1 1 0;
    justify-content: space-between;
}

.edit_concept_group_collection {
    display: flex;
    flex-direction: column;
}

.edit_concept_group_collection .edit_concept_group_collection:not(:first-child) {
    margin-top: 5px;
}

.edit_concept_value_new_type_desc {
    margin-left: 5px;
    margin-top: 5px;
    font-size: 10pt;
}

.edit_concept_value_new_type_desc > span:first-child {
    font-style: italic;
}

.edit_concept_row {
    display: flex;
}

.edit_concept_items_center {
    align-items: center;
}

.edit_concept_text {
    display: flex;
    align-items: center;
    margin-left: 5px;
}

.edit_concept_tree_view {
    min-height: 150px;
}

.edit_concept_error_text {
    display: flex;
    flex-direction: column;
    color: #f00;
    font-size: 10pt;
    white-space: pre;
}

.edit_concept_list {
    min-height: 150px;
}

.edit_concept_tree_view_checkbox_item {
    display: flex;
}

.edit_concept_group_header {
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.edit_concept_group_button_list {
    display: flex;
    column-gap: 2px;
    justify-content: flex-end;
}

.edit_concept_group_header_label {
    display: flex;
    white-space: pre;
}

.edit_concept_group_header img {
    max-width: 20px;
    max-height: 20px;
}

.edit_concept_group_header > div:nth-child(1) {
    display: flex;
    cursor: pointer;
    font-weight: bold;
}

.edit_concept_group_header > div:nth-child(1):hover {
    opacity: 0.5;
}

.edit_concept_relation_name:not(:last-child):after {
    content: ", ";
}

.edit_concept_group_frame {
    border: 1px solid #ccc;
    border-radius: 5px;
    padding: 10px;
}

.edit_concept_alternate_add > input {
    flex: 1;
}

.edit_concept_alternate_item {
    align-items: center;
}

.edit_concept_alternate_item > div:nth-child(2) {
    flex: 1;
}

.version_list {
    display: flex;
    flex-direction: column;
    flex: 1 1 auto;
    min-height: 400px;
    padding: 10px;
    padding-top: 0px;
    box-sizing: border-box;
}

.version_list > .label {
    padding-left: 7px;
}

.version_list_date {
    display: flex;
    flex-direction: column;
    margin-right: 4px;
}

.version_list_filter {
    display: flex;
    flex-direction: column;
    flex: 1 1 auto;
}

.version_list_date_filter {
    display: flex;
    flex-direction: row;
}

.version_list_item {
    display: flex;
    flex-direction: row;
}

.version_list_item > div {
    padding-right: 10px;
    width: 16%;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}

.version_list_item > div:nth-child(3) {
    width: 20%;
}

.version_list_item > div:nth-child(6) {
    text-transform: capitalize;
}

.version_list_item_publish > div {
    width: 14%;
}

.version_list_item_publish > div:nth-child(3) {
    width: 14%;
}

.version_list_item_publish > div:nth-child(4) {
    width: 16%;
}

.version_list_item_publish > div:nth-child(7) {
    text-transform: capitalize;
}

.version_list_header {
    display: flex;
    flex-direction: row;
    box-sizing: border-box;
    font-weight: bold;
    padding-left: 7px;
    padding-right: 10px;
    overflow-y: scroll;
}

.version_list_header > div:hover {
    color: #fff;
}

.version_list_header > div:hover > i {
    border-color: #fff;
}

.version_list_header > div {
    padding-right: 10px;
    width: 16%;
    cursor: pointer;
    text-transform: capitalize;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}

.version_list_header > div:nth-child(3) {
    width: 20%;
}

.version_list_header_publish > div {
    width: 14%;
}

.version_list_header_publish > div:nth-child(3) {
    width: 14%;
}

.version_list_header_publish > div:nth-child(4) {
    width: 16%;
}

.version_list_buttons {
    display: flex;
    column-gap: 2px;
}

.version_detail {
    background: #fff;
    border: unset;
    flex: 1 1 auto;
}

.version_detail_item {
    display: flex;
    margin-top: 3px;
    background: #eee;
    padding-top: 3px;
    padding-bottom: 3px;
    padding-left: 4px;
    border-radius: 4px;
}

.version_detail_item > div:nth-child(1) {
    width: 150px;
    font-weight: bold;
    text-transform: capitalize;
    flex-shrink: 0;
}

.version_detail_item > div:nth-child(2) {
    margin-left: 8px;
    white-space: pre-line;
}

.ssyk_item {
    display: flex;
}

.ssyk_item > div:first-child {
    margin-right: 5px;
}

.changes {
    display: flex;
    flex-direction: column;
    flex: 1 1 auto;
    width: 100%;
    min-height: 150px;
    padding: 10px;
    padding-top: 0px;
    box-sizing: border-box;
}

.changes_item {
    display: flex;
    flex-direction: row;
}

.changes_item > div:nth-child(1) {
    padding-right: 10px;
    width: 150px;
}

.changes_item > div:nth-child(2) {
    padding-right: 10px;
    width: 100px;
}

.changes_item > div:nth-child(3) {
    padding-right: 10px;
    width: 150px;
}

.changes_item > div:nth-child(4) {
    padding-right: 10px;
}

.loader_child {
    font-weight: normal;
    font-variant-caps: normal;
}

.vis_network_main {
    display: flex;
    overflow-y: auto;
    width: 100%;
    height: 100%;
}

.vis_network_main div:focus {
    outline: unset;
}

.vis-tooltip {
    position: absolute;
    background: rgb(247, 231, 164);    
    border: 1px solid #555;
    border-radius: 5px;
    color: #000;
    box-shadow: #000 0px 1px 3px;
    padding: 0px 2px 0px 2px;
    z-index: 1;
    font-family: 'Calibri', sans-serif;
}

.add_connection_content {
    min-width: 640px;
    min-height: 420px;
}

.add_connection_tree {
    min-height: 250px;
}

.add_connection_error {
    color: #f00;
    font-weight: bold;
}

.add_connection_row {
    display: flex;
    align-items: center;
    margin-top: 5px;
}

.add_connection_row > .label {
    margin-right: 5px;
}

.add_connection_row > .add_connection_row {
    margin-left: 5px;
    margin-top: unset;
}

.add_connection_row > .add_connection_row .label {
    margin-left: 5px;
}

.add_connection_bottom {
    display: flex;
    align-items: center;
    margin-top: 5px;
    justify-content: space-between;
}

.add_connection_bottom .dialog_content_buttons {
    margin-top: unset;
}

.concepts_search {
    display: flex;
    flex-direction: column;
    flex: 1 1 auto;
}

.concepts_search > div:first-child {
    box-sizing: border-box;
    display: flex;
    flex-direction: column;
    margin-top: 5px;
    margin-bottom: 5px;
}

.no_background {
    background: unset;
}

.new_concept_wizard {
    min-width: 540px;
    min-height: 320px;
}

.new_concept_wizard_step_headline {
    font-weight: bold;
    font-size: 16pt;
    margin-bottom: 10px;
}

.new_concept_wizard_buttons {
    display: flex;
    margin-top: 10px;
    align-self: flex-end;
    align-items: flex-end;
    flex: 1 1 auto;
}

.new_concept_wizard > div {
    display: flex;
    flex-direction: column;
    height: 100%;
}

.settings_types {
    margin: 10px;
    padding: 5px;
}

.settings_types > div {
    display: flex;
    background: #fff;
}

.settings_types > div:not(:last-child) {
    margin-bottom: 2px;
}

.settings_types_pre_selected_type {
    display: flex;
    font-weight: bold;
    margin-right: 15px;
    margin-left: 15px;
    justify-content: space-between;
}

.settings_types_head {
    display: flex;
    margin-left: 15px;
    font-weight: bold;
}

.settings_types_type {
    min-width: 250px;
}

.settings_types_cb {
    min-width: 70px;
}

.settings_cache_group {
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 0px 10px 10px 10px;
}

.settings_user_id {
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 0px 10px 10px 10px;
}

.settings_validation_list {
    margin: 10px;
    padding: 5px;
}

.settings_validation_root {
    display: flex;
    flex-direction: column;
}

.settings_validation_root > div:first-child {
    background: #fff;
    margin-bottom: 2px;
    padding: 5px;
}

.settings_validation_children {
    display: flex;
    flex-direction: column;
    margin: 10px;
    padding: 5px;
}

.settings_validation_child {
    display: flex;
    margin-left: 20px;
    margin-bottom: 2px;
    background: #fff;
    align-items: center;
    justify-content: space-between;
}

.settings_validation_child > div:first-child {
    display: flex;
}

.settings_validation_tree {
    min-height: 370px;
}

.settings_edit_types_type {
    overflow-wrap: break-word;
    white-space: normal;
    width: 250px;
}

.settings_edit_types_button {
    margin-left: auto;
}

.settings_keybindings {
    margin: 10px;
    padding: 5px;
    row-gap: 4px;
}

.settings_keybindings_description {
    margin: 0px 12px;
}

.settings_keybinding {
    display: flex;
    background: #fff;
    align-items: center;
    justify-content: space-between;
    padding: 5px;
}

.settings_keybinding > div:nth-child(2) {
    display: flex;
    align-items: center;
}

.settings_keybinding_key {
    display: flex;
    width: 30px;
    height: 30px;
    align-items: center;
    justify-content: center;
    border-radius: 4px;
    margin-left: 5px;
    background: #ffc878;
    cursor: pointer;
    text-transform: uppercase;
}

.settings_keybinding_key:focus {
    background: #ffe9bb;
    border: 2px solid;
    box-sizing: border-box;
}

.settings_info {
    margin-left: 10px;
    margin-right: 10px;
}

.settings_info_item_cache {
    background: #09f2f7;
}

.settings_info_item {
    display: flex;
    align-items: center;
}

.settings_info_item > div:nth-child(1) {
    min-width: 80px;
}

.settings_info_item > div:nth-child(2) {
    min-width: 60px;
}

.settings_info_item > div:nth-child(3) {
    margin-right: auto;
    overflow-wrap: anywhere;
}

.settings_info_item > div:nth-child(4) {
    min-width: 110px;
    display: flex;
    align-items: center;
    column-gap: 5px;
}

.settings_info_item > div:nth-child(5) {
    min-width: 30px;
    margin-left: 5px;
}

.settings_info_header {
    display: flex;
    font-weight: bold;
    margin: 2px;
    padding: 2px;
    margin-top: 10px;
}

.settings_info_progress {
    position: relative;
}

.settings_info_progress_bar {
    position: absolute;
    height: 80%;
    background: #ddd;
    border: 1px solid #ccc;
    border-radius: 5px;
}

.settings_info_green {
    background: #0f08;
}

.settings_info_yellow {
    background: #ff08;
}

.settings_info_red {
    background: #f008;
}

.settings_info_progress_info {
    z-index: 1;
    margin-left: 5px;
}

.isco_color {
    background: linear-gradient(#88c3ff, #78b3ff);
}

.referred_concepts_main {
    display: flex;
    flex-direction: column;
    flex: 11 auto;
}

.referred_concepts {
    display: flex;
    flex-direction: column;
    flex: 1 1 auto;
    padding: 10px;
    padding-top: 0px;
}

.referred_concepts_item {
    display:flex;
    flex-direction: row;
}

.referred_concepts_item > div {
    padding-right: 10px;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}

.referred_concepts_item > div:nth-child(1) {
    width: 170px;
}

.referred_concepts_item > div:nth-child(2) {
    width: 250px;
}

.referred_concepts_item > div:nth-child(3) {
    width: 170px;
}

.referred_concepts_item > div:nth-child(4) {
    min-width: 250px;
}

.referred_concepts_top_header {
    display:flex;
    flex-direction: row;
    box-sizing: border-box;
    font-weight: bold;
    padding-left: 7px;
}

.referred_concepts_top_header > div:nth-child(1) {
    padding-right: 10px;
    width: 430px;
}

.referred_concepts_top_header > div:nth-child(2) {
    padding-right: 10px;
    width: 250px;
}

.referred_concepts_header {
    display:flex;
    flex-direction: row;
    box-sizing: border-box;
    font-weight: bold;
    padding-left: 7px;
}

.referred_concepts_header > div {
    padding-right: 10px;
    cursor: pointer;
}

.referred_concepts_header > div:hover {
    color: #fff;
}

.referred_concepts_header > div:hover > i{
    border-color: #fff;
}

.referred_concepts_header > div:nth-child(1) {
    width: 170px;
}

.referred_concepts_header > div:nth-child(2) {
    width: 250px;
}

.referred_concepts_header > div:nth-child(3) {
    width: 170px;
} 

.referred_concepts_header > div:nth-child(4) {
    min-width: 250px;
}

.referred_button {
    display: flex;
}

.search_type_offset {
    margin-top: 10px;
}

.search_changes {
    min-width: 600px;
    min-height: 400px;
    display: flex;
    flex-direction: column;
}

.search_changes > div {
    padding-bottom: 5px;
}

.search_changes_row {
    display: flex;
}

.search_changes_label {
    min-width: 250px;
}

.search_changes_cb {
    min-width: 70px;
}

.search_changes_title {
    background: #bbc4c7;
    color: #000;
    padding: 5px;
    border-radius: 5px;
    margin-bottom: 5px;
}

.search_changes_column {
    display: flex;
    flex-direction: column;
}

.search_changes_date {
    padding-right: 5px;
    padding-bottom: 5px;
    display: flex;
}

.search_changes_date > div {
    flex: 1 0 0;
    padding-left: 5px;
}

.search_changes_date_picker > div.react-datepicker-wrapper {
    width: 100%;
 } 

 .search_changes_date_picker > div > div.react-datepicker__input-container {
    display: flex;
 }

.search_changes_date_picker > div > div.react-datepicker__input-container input {
    width: 100%;
}

.search_changes_select {
    width: 100%;
}

.search_changes_buttons {
    display: flex;
}

.search_changes_buttons > div:first-child {
    display: flex;
    flex: auto;
    margin-top: 10px;
    align-items: center;
}

.search_content_buttons {
    align-items: flex-end;
    flex-grow: 1;
}

.search_result {
    min-height: 450px;
    padding: 10px;
    padding-top: 0px;
    display: flex;
    flex-direction: column;
    flex: 1 1 auto;
}

.search_result_buttons {
    display: flex;
}

.search_result_header {
    padding-left: 5px;
}

.search_result_header > div:hover {
    color: #fff;
}

.search_result_header > div:hover > i {
    border-color: #fff;
}

.search_result_header > div {
    font-weight: bold;
    cursor: pointer;
}

.search_result_concept_item {
    display: flex;
    flex-direction: row;
}

.search_result_concept_item > div {
    padding-right: 10px;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}

.search_result_concept_item > div:nth-child(1) {
    width: 100px;
}

.search_result_concept_item > div:nth-child(2) {
    width: 100px;
}

.search_result_concept_item > div:nth-child(3) {
    width: 200px;
}

.search_result_concept_item > div:nth-child(4) {
    width: 200px;
}

.search_result_concept_item > div:nth-child(5) {
    width: 200px;
}

.search_result_concept_item > div:nth-child(6) {
    width: 140px;
}

.search_result_concept_item > div:nth-child(7) {
    min-width: 100px;
}

.search_result_relation_item {
    display: flex;
    flex-direction: row;
}

.search_result_relation_item > div {
    padding-right: 10px;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}

.search_result_relation_item > div:nth-child(1) {
    width: 100px;
}

.search_result_relation_item > div:nth-child(2) {
    width: 150px;
}

.search_result_relation_item > div:nth-child(3) {
    width: 200px;
}

.search_result_relation_item > div:nth-child(4) {
    width: 200px;
}

.search_result_relation_item > div:nth-child(5) {
    width: 150px;
}

.search_result_relation_item > div:nth-child(6) {
    width: 150px;
}

.search_result_relation_item > div:nth-child(7) {
    width: 100px;
}

.search_result_relation_item > div:nth-child(8) {
    min-width: 140px;
}

.dialog_export_list {
    min-width: 200px;
    min-height: 200px;
}

.dialog_export_list > div {
    display: flex;
}

.dialog_publish_dialog {
    min-height: 400px;
    min-width: 800px;
}

.dialog_publish_list {
    min-height: 300px;
}

.dialog_publish_list > div {
    display: flex;    
}

.dialog_publish_buttons {
    align-items: flex-end;
    flex-grow: 1;
    display: flex;
    column-gap: 2px;
}

.dialog_publish_list_item {
    display: flex;
}

.dialog_publish_list_item > div {
    padding-right: 10px;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}

.dialog_publish_list_item > div:nth-child(1) {
    width: 150px;
}

.dialog_publish_list_item > div:nth-child(2) {
    width: 420px;
}

.dialog_publish_list_item > div:nth-child(3) {
    width: 250px;
}

.dialog_publish_list_item_no_validation {
    color: #ccc;
}

.dialog_publish_list_header {
    display: flex;
    box-sizing: border-box;
    font-weight: bold;
    padding-left: 7px;
}

.dialog_publish_list_header > div:hover {
    color: #386479;
}

.dialog_publish_list_header > div:hover > i {
    border-color: #386479
}

.dialog_publish_list_header > div{
    padding-right: 10px;
    overflow-wrap: break-word;
    cursor: pointer;
}

.dialog_publish_list_header > div:nth-child(1) {
    width: 150px;
}

.dialog_publish_list_header > div:nth-child(2) {
    width: 420px;
}

.dialog_publish_list_header > div:nth-child(3) {
    width: 250px;
}

.publish_info_item {
    display: flex;
    margin: 2px;
    border-radius: 4px;
    background: #eee;
    padding: 4px;
}

.publish_info_item > div:nth-child(1) {
    width: 120px;
    font-weight: bold;
}

.publish_info_item > div:nth-child(2) {
    max-width: 490px;
    overflow-wrap: break-word;
    white-space: pre-line;
}

.publish_info_header {
    display: flex;
    justify-content: space-between;
}

.export_button_content {
    display: flex;
}

.export_button_content > div:nth-child(1) {
    width: 19px;
    height: 19px;
    margin-right: 5px;
}

.login_container {
    display: flex;
    align-self: center;
    width: 100%;
    flex-direction: column;
    align-items: center;
}

.login_title {
    font-weight: bold;
    font-size: 36pt;
}

.login_panel {
    width: 400px;
    display: flex;
    flex-direction: column;
    background: #fff;
    padding: 16px;
    border-radius: 8px;
}

.login_buttons {
    display: flex;
    margin-top: 8px;
}

.user_state_edit_border {
    border: 2px solid #f00 !important;
}

.user_state_edit {
    position: absolute;
    color: #000;
    background: #ff8d8d;
    align-self: flex-end;
    padding: 2px;
    bottom: 2px;
    right: 2px;
}

.choose_import_drag_drop {
    display: flex;
    min-height: 70px;
    min-width: 400px;
}

.choose_import_button_file_picker {
    visibility: collapse;
    height: 0;
}

.choose_import_dropzone {
    border: #ccc 3px dashed;
    border-radius: 8px;
    color: #bbb;
    background: #fafafa;
    align-items: center;
    justify-content: center;
    display: flex;
    flex: 1 1 auto;
}

.import_file_error {
    display: flex;
    color: #f00;
    font-weight: bold;
    margin-top: 10px;
    justify-content: center;
}

.import_data_group {
    padding: 0px 10px 10px 10px;
}

.import_data_item {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
}

.import_data_item > div:first-child {
    padding-right: 5px;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}

.import_data_item > div:nth-child(2) {
    display: flex;
    align-items: center;
    gap: 5px;
}

.import_data_item.trash {
    color: #aaa;
}

.import_data_item_buttons {
    display: flex;
    flex-direction: row;
}

.import_data_show_processed {
    display: flex;
    flex-direction: row;
}

.import_data_order {
    display: flex;
    place-content: flex-end;
}

.import_data_order > div:nth-child(1) {    
    margin-right: 5px;
}

.import_data_order > div:nth-child(2) {
    font-weight: bold;
    cursor: pointer;
    margin-right: 5px;
}

.import_data_order > div:nth-child(2):hover {
    color: #fff;
}

.import_data_order > div:nth-child(3) {    
    margin-right: 20px;
    cursor: pointer;
}

.import_data_order > div:nth-child(3) > i:hover {
    color: #fff;
    border-color: #fff;
}

.import_work_with_tree_view {
    width: 700px;
    min-height: 300px;
}

.import_work_with_trash {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: baseline;
    gap: 15px;
}

.import_semantic_container {
    display: flex;
    flex-direction: column;
    padding: 4px;
    background: #ddd;
    border-radius: 4px;
}

.import_semantic_item {
    background: #fff;
    margin-bottom: 4px;
    padding: 4px;
}

.import_semantic_item > div:first-child {
    cursor: pointer;
}

.import_semantic_item:last-child {
    margin-bottom: unset;
}

.import_semantic_item_options {
    margin-top: 12px;
}

.import_semantic_item_options > div {
    margin-top: 3px;
}

.arrow {
	margin-right: 5px;
}

.arrow.empty {
	width: 10px;
}

.arrow.up {
	width: 0; 
	height: 0; 
	border-left: 5px solid transparent;
	border-right: 5px solid transparent;
	border-bottom: 5px solid #000;
}
  
.arrow.down {
	width: 0; 
	height: 0; 
	border-left: 5px solid transparent;
	border-right: 5px solid transparent;
	border-top: 5px solid #000;
}

.arrow.right {
	width: 0; 
	height: 0; 
    border-top: 5px solid transparent;
    border-bottom: 5px solid transparent;
    border-left: 5px solid #000;
    margin-left: 5px;
}

.arrow.left {
	width: 0; 
	height: 0; 
    border-top: 5px solid transparent;
    border-bottom: 5px solid transparent; 
    border-right: 5px solid #000; 
}

.user_manual_dialog {
    display: flex;
    flex-direction: column;
    flex: 1 1 auto;
    min-width: 800px;
}

.user_manual_tips {
    display: flex;
    flex-direction: column;
    flex: 1 1 125px;
    justify-content: space-between;
    margin: 5px 5px 25px 5px;
}

.user_manual_qa {
    display: flex;
    flex-direction: column;
    flex: 1 1 auto;
}

.user_manual_item {
    display: flex;
    flex-direction: column;
    margin-bottom: 5px;
    border: 1px solid #ddd;
    border-radius: 5px;
    padding: 5px;
}

.user_manual_item > div:nth-child(1) {
    display: flex;
    font-weight: bold;
    align-items: center;
    cursor: pointer;
    margin-bottom: 5px;
}

.user_manual_item > div:nth-child(2) {
    white-space: pre;
    margin-left: 15px;
}

.user_manual_tags {
    display: flex;
    margin-top: 10px;
    margin-bottom: 10px;
}

.user_manual_tag {
    border-radius: 5px;
    border-width: 1px;
    border-style: solid;
    border-color: #aaa;
    padding: 4px 5px;
    margin-right: 5px;
    font-size: 14px;
    background: #ddd;
    color: #666;
    cursor: pointer;
}

.user_manual_tag:hover {
    background: #bbb;
    color: #000;
}

.user_manual_tag_selected {
    background: #386479;
    color: #fff;
}

.quick_edit_container {
    display: flex;
    flex-direction: column;
}

.quick_edit_buttons {
    display: flex;
    margin-top: 10px;
    align-items: center;
    justify-content: space-between;
}

.quick_edit_buttons > div {
    display: flex;
    column-gap: 2px;
}

.quick_edit_list {
    overflow-y: auto;
}

.quick_edit_group_content {
    display: flex;
    flex-direction: column;
    margin-top: 10px;
}

.quick_edit_item {
    position: relative;
    flex-direction: row;
    background: #eee;
    margin-bottom: 5px;
    border-radius: 5px;
    padding: 5px;
}

.quick_edit_item:last-child > div:nth-child(2) {
    padding-bottom: unset;
}

.quick_edit_item .property_field {
    display: flex;
    white-space: pre;
}

.property_field > div:nth-child(1) {
    font-weight: bold;
}

.property_field > div:nth-child(2) {
    white-space: normal;
}

.quick_edit_item .selection_checkbox {
    margin-top: 6px;
    margin-right: -2px;
}

.action_buttons img {
    width: 20px;
    height: 20px;
    pointer-events: none;
    user-select: none;
}

.action_buttons > div {
    display: flex;
    padding: 5px;
    cursor: pointer;
}

.action_buttons > div:hover {
    background: #fff;
    border-radius: 5px;
}

.quick_edit_checkbox {
    margin-right: 5px;
}

.quick_edit_item .action_buttons {
    display: none;
    position: absolute;
    right: 5px;
}

.quick_edit_item:hover .action_buttons {
    display: flex;
    background: #eee;
    border-radius: 5px;
    border: 1px solid #ccc;
    justify-content: space-between;
}

.quick_edit_disabled {
    pointer-events: none;
    opacity: 0.5;
}

.quick_edit_item_header {
    display: flex;
    flex-direction: column;
    align-items: end;
    width: 52px;
    font-size: 10pt;
    padding-right: 10px;
}

.quick_edit_item_header .header_row {
    display: flex;
    align-items: center;
    width: 48px;
    justify-content: space-between;
}

.quick_edit_item_header .header_row > div {
    display: flex;
    align-items: center;
}

.quick_edit_item_header .header_row img {
    width: 16px;
    height: 16px;
    pointer-events: none;
    user-select: none;
}

.quick_edit_date_separator {
    display: flex;
    height: 16px;
    font-size: 10pt;
    font-weight: bold;
    color: #444;
}

.quick_edit_date_separator > div:nth-child(1) {
    flex: 1 1 auto;
    border-bottom: 1px solid #386479;
    margin-bottom: 6px;
    margin-right: 10px;
}

.quick_edit_date_separator > div:nth-child(3) {
    flex: 1 1 auto;
    border-bottom: 1px solid #386479;
    margin-bottom: 6px;
    margin-left: 10px;
}

.no_esco_relation_warning {
    color: #f00;
    flex: 1 1;
}

.search_relations_group > select {
    margin-bottom: 5px;
}